Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.outrigger
Interface AdminIterator

public interface AdminIterator

Interface for the iterators returned by the `contents()` method of `JavaSpaceAdmin`. Note `AdminIterator`s do not survive restarts of the underlying space.

See Also:
  `JavaSpaceAdmin`

Method Summary
`void` | `close()` Tell the server that this iterator is no longer in use.
`void` | `delete()` The effect of this call depends on the most recent call to `next()`: If the last call to `next()` returned an `Entry` that entry will be removed from the space.
`Entry` | `next()` Return the next entry in the sequence.

Method Detail

### next

    public Entry next()
               throws UnusableEntryException,
                      RemoteException

  Return the next entry in the sequence. Returns `null` if there are no more matching entries in the space.

  This method is idempotent in the face of `RemoteException`s.

  Throws:
    `UnusableEntryException` - if the field of next entry in sequence can't be deserialized (usually this is because the class in question could not be loaded).
    `RemoteException`

### delete

    public void delete()
                throws RemoteException

  The effect of this call depends on the most recent call to `next()`:
  - If the last call to `next()` returned an `Entry` that entry will be removed from the space.

  - If the last call to `next()` threw a `UnusableEntryException` the `Entry` that could not be deserialized will be removed from the space.

  - If the last call to `next()` returned `null`, threw a `RemoteException`, or `next()` has not yet been called on this iterator a `IllegalStateException` will be thrown and no entry will be removed.

  This method is idempotent in the face of `RemoteException`.

  Throws:
    `IllegalStateException` - if `next()` has not be called on this iterator, or the last invocation of `next()` returned `null` or threw `RemoteException`.
    `RemoteException`

### close

    public void close()
               throws RemoteException

  Tell the server that this iterator is no longer in use. All operations on a closed iterator have undefined results, except the `close()` method.

  This method is idempotent in the face of `RemoteException`.

  Throws:
    `RemoteException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved